Page MenuHomePhabricator

Update pywikibot version at every singleuser pod start in PAWS
Closed, ResolvedPublic

Description

Currently, the update is done at image creation, this requires a redeploy for a pywikibot version update. We can update it at pod start with a k8s poststart hook.

Event Timeline

Chicocvenancio changed the task status from Open to Stalled.Jun 6 2018, 5:32 PM
Chicocvenancio claimed this task.

This is working in PAWS-beta at the moment, will wait until jupyterhub 0.9 release to push to prod.

Or at least on a daily basis as Toolforge does

Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptJun 19 2018, 8:58 AM

@Dvorapa in theory we could use the Toolforge's shared installation, but that would go against container separation. With the current config in PAWS-beta it will update pywikibot every time a server is started.

Dvorapa added a comment.EditedJun 19 2018, 7:58 PM

@Dvorapa in theory we could use the Toolforge's shared installation, but that would go against container separation.

No, of course separately, but daily/onlogin/onnewterminal updated would be great

With the current config in PAWS-beta it will update pywikibot every time a server is started.

But that basically means only when an account first logs in? My Pywikibot on PAWS is updated only when I manually run git pull in /srv/paws/pwb/ (not sure about the path at the moment). Which is every time I want to use some new feature of Pywikibot on PAWS. But not everybody knows, where Pywikibot on PAWS is located or how to update it (T120072).

@Dvorapa in theory we could use the Toolforge's shared installation, but that would go against container separation.

No, of course separately, but daily/onlogin/onnewterminal updated would be great

With the current config in PAWS-beta it will update pywikibot every time a server is started.

But that basically means only when an account first logs in? My Pywikibot on PAWS is updated only when I manually run git pull in /srv/paws/pwb/ (not sure about the path at the moment). Which is every time I want to use some new feature of Pywikibot on PAWS

Current config in PAWS-beta is updating pwb at every server start. PAWS only updates pwb on image creation at the moment, we will push the PAWS-beta config to PAWS soon.

Ah, I see, sorry for my confusion!

Chicocvenancio closed this task as Resolved.Jun 21 2018, 9:21 PM

Fix deployed to PAWS.